<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>Class Members (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li class="current"><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li class="current"><a href="functions.html"><span>All</span></a></li>
      <li><a href="functions_func.html"><span>Functions</span></a></li>
      <li><a href="functions_vars.html"><span>Variables</span></a></li>
      <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="functions.html#index_a"><span>a</span></a></li>
      <li><a href="functions_0x62.html#index_b"><span>b</span></a></li>
      <li class="current"><a href="functions_0x63.html#index_c"><span>c</span></a></li>
      <li><a href="functions_0x64.html#index_d"><span>d</span></a></li>
      <li><a href="functions_0x65.html#index_e"><span>e</span></a></li>
      <li><a href="functions_0x66.html#index_f"><span>f</span></a></li>
      <li><a href="functions_0x67.html#index_g"><span>g</span></a></li>
      <li><a href="functions_0x68.html#index_h"><span>h</span></a></li>
      <li><a href="functions_0x69.html#index_i"><span>i</span></a></li>
      <li><a href="functions_0x6a.html#index_j"><span>j</span></a></li>
      <li><a href="functions_0x6b.html#index_k"><span>k</span></a></li>
      <li><a href="functions_0x6c.html#index_l"><span>l</span></a></li>
      <li><a href="functions_0x6d.html#index_m"><span>m</span></a></li>
      <li><a href="functions_0x6e.html#index_n"><span>n</span></a></li>
      <li><a href="functions_0x6f.html#index_o"><span>o</span></a></li>
      <li><a href="functions_0x70.html#index_p"><span>p</span></a></li>
      <li><a href="functions_0x71.html#index_q"><span>q</span></a></li>
      <li><a href="functions_0x72.html#index_r"><span>r</span></a></li>
      <li><a href="functions_0x73.html#index_s"><span>s</span></a></li>
      <li><a href="functions_0x74.html#index_t"><span>t</span></a></li>
      <li><a href="functions_0x75.html#index_u"><span>u</span></a></li>
      <li><a href="functions_0x76.html#index_v"><span>v</span></a></li>
      <li><a href="functions_0x77.html#index_w"><span>w</span></a></li>
      <li><a href="functions_0x7e.html#index_0x7e"><span>~</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<div class="textblock">Here is a list of all documented class members with links to the class documentation for each member:</div>

<h3><a class="anchor" id="index_c"></a>- c -</h3><ul>
<li>Cache()
: <a class="el" href="structiCelPlLayer.html#a55e34d6c37d9e47383089a0d6388da0c">iCelPlLayer</a>
</li>
<li>CacheWeights()
: <a class="el" href="structiPcNeuralNet.html#a7b08a79cdc66cf374f67814d66e5ed14">iPcNeuralNet</a>
</li>
<li>Callback()
: <a class="el" href="structiPcGravityCallback.html#acd0eb0d6c680ac838411f600a1b26307">iPcGravityCallback</a>
</li>
<li>CallbackEveryFrame()
: <a class="el" href="structiCelPlLayer.html#a39dfdf2310553577c344ee9855e79568">iCelPlLayer</a>
</li>
<li>CallbackOnce()
: <a class="el" href="structiCelPlLayer.html#abce10f3516458623c47eb0688855318c">iCelPlLayer</a>
</li>
<li>CameraMode
: <a class="el" href="structiPcDefaultCamera.html#a53a7f09fa80118f6029c2f65edda315e">iPcDefaultCamera</a>
</li>
<li>CancelThrust()
: <a class="el" href="structiPcMechanicsThrusterController.html#a553d0f6735c4726e35fdd7acce363fac">iPcMechanicsThrusterController</a>
</li>
<li>celCombineParameterBlock()
: <a class="el" href="classcelCombineParameterBlock.html#ac6c9540e0656bbfd7311c6799c411d09">celCombineParameterBlock</a>
</li>
<li>CenterCamera()
: <a class="el" href="structiPcDefaultCamera.html#ae1d609377426bec83deabeb55054c557">iPcDefaultCamera</a>
</li>
<li>CenteredToScreen()
: <a class="el" href="structiPcCommandInput.html#a5cf4e27b34bff47c64755eca16f981ee">iPcCommandInput</a>
</li>
<li>ChangeLevel()
: <a class="el" href="structiCelGameServer.html#a85aee2cd64948525a312287aca56cc7e">iCelGameServer</a>
</li>
<li>ChangeLinkControl()
: <a class="el" href="structiCelGameServer.html#a2226fe2e45a5ed5218fe1902cdf0952c">iCelGameServer</a>
</li>
<li>ChangeThrust()
: <a class="el" href="structiPcMechanicsBalancedGroup.html#a12508b3b8709b53f08311eebb5f1259c">iPcMechanicsBalancedGroup</a>
</li>
<li>Check()
: <a class="el" href="structiPcTrigger.html#a1f82e15788fa2aa5ce893c6418c37fe2">iPcTrigger</a>
, <a class="el" href="structiTrigger.html#ab61b49963435848e36bbf7ce9ac052b1">iTrigger</a>
</li>
<li>CheckArrivalOff()
: <a class="el" href="structiPcSteer.html#a18b94aee484d097c04a55eaa72c6d01b">iPcSteer</a>
</li>
<li>CheckArrivalOn()
: <a class="el" href="structiPcSteer.html#a179522ffff7b76130865ea72f6a91a13">iPcSteer</a>
</li>
<li>CheckMove()
: <a class="el" href="structiPcMovableConstraint.html#a42aedb285794b1ff765fbd687b43ca70">iPcMovableConstraint</a>
</li>
<li>CleanCache()
: <a class="el" href="structiCelPlLayer.html#a38d9d1f6232c6de2e03606c3eb506373">iCelPlLayer</a>
</li>
<li>Clear()
: <a class="el" href="structiNumReg.html#ac58de74c1a716b2cba13a917ef59f2b6">iNumReg</a>
, <a class="el" href="structiPcBag.html#a3255621cd86681b5758d46af8e9bf5b4">iPcBag</a>
, <a class="el" href="structiPcProperties.html#a8e1c16147721ff4ba18828214a97cc7b">iPcProperties</a>
, <a class="el" href="structiPcTimer.html#a379cc87b72c017da1780159e1ccc6043">iPcTimer</a>
, <a class="el" href="structiCelPath.html#a43a04d1f734c6961c5bae15746e1e488">iCelPath</a>
</li>
<li>ClearAll()
: <a class="el" href="structiPcCharacteristics.html#a53006b5aaa554e853e9ff0ea9f9ce640">iPcCharacteristics</a>
</li>
<li>ClearAllForces()
: <a class="el" href="structiPcMechanicsSystem.html#aea34586e2f75402735d8762609dedf34">iPcMechanicsSystem</a>
</li>
<li>ClearCallback()
: <a class="el" href="structiTrigger.html#a30a56248e8ce090fe645df2f70a4ade7">iTrigger</a>
</li>
<li>ClearCharacteristic()
: <a class="el" href="structiPcCharacteristics.html#ab85e27b1f0b6554c40bf770ecf4a28bd">iPcCharacteristics</a>
</li>
<li>ClearDefaultParameters()
: <a class="el" href="structiQuestFactory.html#a4d3d113c935c72dfc05c9f7792df47d9">iQuestFactory</a>
</li>
<li>ClearEntityList()
: <a class="el" href="structiPcSpawn.html#a8189e1e56b7a6c820cbea87333cd2e5f">iPcSpawn</a>
</li>
<li>ClearForces()
: <a class="el" href="structiPcMechanicsObject.html#a99dc6a9c9d483f308a46bda3dd5b0dcd">iPcMechanicsObject</a>
, <a class="el" href="structiPcGravity.html#a3a731dee91b14abd048a5c52a37ba381">iPcGravity</a>
, <a class="el" href="structiPcMechanicsSystem.html#a66e846da993f6f45ca5822da3f22b8cd">iPcMechanicsSystem</a>
</li>
<li>ClearPermanentForces()
: <a class="el" href="structiPcGravity.html#a8389b079c598733912e6e3211ef8dfac">iPcGravity</a>
</li>
<li>ClearPortalDisplacement()
: <a class="el" href="structiPcLinearMovement.html#acd5fa1510e1363a67baaaff4dd4c8013">iPcLinearMovement</a>
</li>
<li>ClearPriorityTable()
: <a class="el" href="structiCelRuleBase.html#a55649c68ef39f574916720d2f8fcbcd3">iCelRuleBase</a>
</li>
<li>ClearProperty()
: <a class="el" href="structiPcProperties.html#a13795aff289381a4464f6901251ba616">iPcProperties</a>
</li>
<li>ClearTextBgColor()
: <a class="el" href="structiBillboard.html#aebba80bbfb6ce2a12e3905611a118d4e">iBillboard</a>
</li>
<li>ClearTextFgColor()
: <a class="el" href="structiBillboard.html#a6a32acbf89fa9b42e13ccf543356dba0">iBillboard</a>
</li>
<li>ClearWorldVelocity()
: <a class="el" href="structiPcLinearMovement.html#a91037fa284476c7f09dc56fd8c7f83e7">iPcLinearMovement</a>
</li>
<li>ClientEnd()
: <a class="el" href="classcelGameClientManager.html#abd024e8b9617a69d068aacd9c343f8e6">celGameClientManager</a>
</li>
<li>Clone()
: <a class="el" href="structiCelNNWeights.html#a502e28689deced562bb143409652fdc1">iCelNNWeights</a>
, <a class="el" href="structiCelNavMeshParams.html#a1af68f28bdf28f20ebdaee3ae3191a98">iCelNavMeshParams</a>
</li>
<li>CloseGame()
: <a class="el" href="structiCelGameFactory.html#a2c05f2035c8b36890cc1b054ffaddf79">iCelGameFactory</a>
</li>
<li>ClosePortal()
: <a class="el" href="structiPcPortal.html#a99d8ba5bd36c6fe017c52cffa02bd706">iPcPortal</a>
</li>
<li>CohesionOff()
: <a class="el" href="structiPcSteer.html#ab3fec35668691fe6ae05ab26f1cf6e86">iPcSteer</a>
</li>
<li>CohesionOn()
: <a class="el" href="structiPcSteer.html#a45c0faec81ffa56766d44c1c78333b89">iPcSteer</a>
</li>
<li>CollisionAvoidanceOff()
: <a class="el" href="structiPcSteer.html#a6fed0d2267e98cc8deefed6e39d0ffbf">iPcSteer</a>
</li>
<li>CollisionAvoidanceOn()
: <a class="el" href="structiPcSteer.html#a3cc5f83c9cc7db1403ae9d0bf53191fb">iPcSteer</a>
</li>
<li>Compare()
: <a class="el" href="classcelGameInfo.html#a01be8a4fd913b79956a143fa6e5a5cc9">celGameInfo</a>
</li>
<li>ConnectGame()
: <a class="el" href="structiCelGameFactory.html#a47864202511ee8b1b082a713d6160160">iCelGameFactory</a>
</li>
<li>constants
: <a class="el" href="structPropertyHolder.html#a2e0b5410e17801a49eb94e87cb5dfc1c">PropertyHolder</a>
</li>
<li>ContainsEntity()
: <a class="el" href="structiCelRegion.html#a4b9601b72ea41169e978559373feabfa">iCelRegion</a>
</li>
<li>ConvertServerClock()
: <a class="el" href="structiCelGameClient.html#aca67c50f3709d839171e405a31aa8918">iCelGameClient</a>
</li>
<li>CreateBehaviour()
: <a class="el" href="structiCelBlLayer.html#a389051ac8b271f2af55861b394cc7832">iCelBlLayer</a>
</li>
<li>CreateBehaviourScriptFromDoc()
: <a class="el" href="structiCelBlLayerGenerate.html#a015ee97f083d2eb0a4248224380e7262">iCelBlLayerGenerate</a>
</li>
<li>CreateBehaviourScriptFromFile()
: <a class="el" href="structiCelBlLayerGenerate.html#aec3fce2df28a9dc3416e6f3e04e60288">iCelBlLayerGenerate</a>
</li>
<li>CreateBehaviourScriptFromString()
: <a class="el" href="structiCelBlLayerGenerate.html#a718e41ca1f49c8fef17e836ef7faf3b6">iCelBlLayerGenerate</a>
</li>
<li>CreateBillboard()
: <a class="el" href="structiBillboardManager.html#ab59a1f0c8128045633c1020775efe259">iBillboardManager</a>
</li>
<li>CreateBillboardLayer()
: <a class="el" href="structiBillboardManager.html#a891f6cf7e2e0bfcdab2b2f5fc930a090">iBillboardManager</a>
</li>
<li>CreateBody()
: <a class="el" href="structiPcMechanicsSystem.html#a26331bf3719aec973d12542e68228a28">iPcMechanicsSystem</a>
</li>
<li>CreateChannel()
: <a class="el" href="structiCelGameServer.html#ad9f84d3748644041a79a77ffc52b0101">iCelGameServer</a>
</li>
<li>CreateDataBuffer()
: <a class="el" href="structiCelPlLayer.html#a998ebd26adc1ae8623a7f85248329133">iCelPlLayer</a>
</li>
<li>CreateEmptyEntityList()
: <a class="el" href="structiCelPlLayer.html#afcbc3c2ab071a8177a235dcbca73bd9d">iCelPlLayer</a>
</li>
<li>CreateEmptyGenmesh()
: <a class="el" href="structiPcMesh.html#a000b6c012847f278c3cfe83ba0403265">iPcMesh</a>
</li>
<li>CreateEmptyNode()
: <a class="el" href="structiCelGraph.html#ae66568791ecaf4d19ccab9c408fd1c08">iCelGraph</a>
</li>
<li>CreateEmptySector()
: <a class="el" href="structiPcRegion.html#af666276f6cbd10d660307b1ffd384c1b">iPcRegion</a>
</li>
<li>CreateEmptyThing()
: <a class="el" href="structiPcMesh.html#a80337a27e39f25c7975d74d2f2f08189">iPcMesh</a>
</li>
<li>CreateEmptyWeights()
: <a class="el" href="structiPcNeuralNet.html#a56597977382b31f14a956d0448481776">iPcNeuralNet</a>
</li>
<li>CreateEntity()
: <a class="el" href="structiCelPlLayer.html#a793245ed93fae360fa568b4a85d19afd">iCelPlLayer</a>
</li>
<li>CreateEntityInScope()
: <a class="el" href="structiCelPlLayer.html#ad3736d26f1097e257df3009f93a09736">iCelPlLayer</a>
</li>
<li>CreateEntityTemplate()
: <a class="el" href="structiCelPlLayer.html#a568903352efa88aa88f7a7b7c5c1c0ad">iCelPlLayer</a>
</li>
<li>CreateEntityTracker()
: <a class="el" href="structiCelPlLayer.html#aae30a227a251adf27ba737b7f7758870">iCelPlLayer</a>
</li>
<li>CreateGravityCollider()
: <a class="el" href="structiPcGravity.html#ab033fe8fcf1eeb194beb1ebc87090af9">iPcGravity</a>
</li>
<li>CreateJoint()
: <a class="el" href="structiPcMechanicsSystem.html#a681e216fcd4ea94756079db991fb08b2">iPcMechanicsSystem</a>
, <a class="el" href="structiPcMechanicsObject.html#ae295f74a80e9fc47f28ac51b73d170a9">iPcMechanicsObject</a>
</li>
<li>CreateLight()
: <a class="el" href="structiPcLight.html#a33f7e705cbdbf78a90fb4fd7a8e390a2">iPcLight</a>
</li>
<li>CreateMapFile()
: <a class="el" href="structiCelRegion.html#af2d8c4641bb9bc26adabc0952b0e9a84">iCelRegion</a>
</li>
<li>CreateMessageDispatcher()
: <a class="el" href="classcelMessageChannel.html#ab7c8c7c603747544127f393e98f2a2c9">celMessageChannel</a>
, <a class="el" href="structiMessageChannel.html#a3924e81bc1a707069410f269cfde5755">iMessageChannel</a>
</li>
<li>CreateNetworkLinkTarget()
: <a class="el" href="classcelGameClientManager.html#a5ebea8bf343b566d6817aabf566bf621">celGameClientManager</a>
</li>
<li>CreateNewGame()
: <a class="el" href="structiCelGameFactory.html#ab250a31bae2353686a1a86c0133b9717">iCelGameFactory</a>
</li>
<li>CreateNode()
: <a class="el" href="structiCelGraph.html#a7b70b18fdc5a6c2fd6df359dde3b5f83">iCelGraph</a>
</li>
<li>CreateNullMesh()
: <a class="el" href="structiPcMesh.html#a94fb201424dcdb38989b3019875601c2">iPcMesh</a>
</li>
<li>CreatePropertyClass()
: <a class="el" href="structiCelPlLayer.html#a62d655dc1f582ac577922698db69e802">iCelPlLayer</a>
, <a class="el" href="structiCelPropertyClassFactory.html#a413b7c7d5e819a85400185161a432d4c">iCelPropertyClassFactory</a>
</li>
<li>CreatePropertyClassTemplate()
: <a class="el" href="structiCelEntityTemplate.html#ac47fe787a2379374ea60eb6fe3c5025b">iCelEntityTemplate</a>
</li>
<li>CreateQuest()
: <a class="el" href="structiQuestFactory.html#ab363958672c2b9769cbeac94d5a5cb6d">iQuestFactory</a>
</li>
<li>CreateQuestFactory()
: <a class="el" href="structiQuestManager.html#af7e110437a79d5fcb4f190bef935f457">iQuestManager</a>
</li>
<li>CreateRegion()
: <a class="el" href="structiPcZoneManager.html#ab1960c75e227d97c34bfae8e382fcc4d">iPcZoneManager</a>
</li>
<li>CreateReward()
: <a class="el" href="structiRewardFactory.html#a7785055a73263145c5e50fc5ac8f6837">iRewardFactory</a>
</li>
<li>CreateRewardFactory()
: <a class="el" href="structiRewardType.html#a23eccf4acbd4438186323723a92f1f32">iRewardType</a>
</li>
<li>CreateRule()
: <a class="el" href="structiCelRuleBase.html#a5720b0fe3b5941787f54129b23758b5b">iCelRuleBase</a>
</li>
<li>CreateSeqOp()
: <a class="el" href="structiSeqOpFactory.html#a1f9a9bb0b69288ee13573c3891952a63">iSeqOpFactory</a>
</li>
<li>CreateSeqOpFactory()
: <a class="el" href="structiSeqOpType.html#a36ec4e7f100e567a857e80dd84f45139">iSeqOpType</a>
</li>
<li>CreateSequence()
: <a class="el" href="structiQuestFactory.html#a0e9bc9b1c924ffb6bddedd66894f72a8">iQuestFactory</a>
</li>
<li>CreateState()
: <a class="el" href="structiQuestFactory.html#a960b6ec97500d48d75ba8d919fb0b529">iQuestFactory</a>
</li>
<li>CreateTaggedMessageDispatcher()
: <a class="el" href="structiCelEntity.html#af57597b44996893912992c524c6f351d">iCelEntity</a>
</li>
<li>CreateTaggedPropertyClass()
: <a class="el" href="structiCelPlLayer.html#a768d535c03af199459811942e5afbda2">iCelPlLayer</a>
</li>
<li>CreateTrigger()
: <a class="el" href="structiTriggerFactory.html#aa2238a069b18b012cbb97985dada10a9">iTriggerFactory</a>
</li>
<li>CreateTriggerFactory()
: <a class="el" href="structiTriggerType.html#a0f143662bc6c7a00ba424fcc34904c20">iTriggerType</a>
</li>
<li>CreateTriggerResponseFactory()
: <a class="el" href="structiQuestStateFactory.html#a724803df85a3af7178732714a0dff6a8">iQuestStateFactory</a>
</li>
<li>CreateZone()
: <a class="el" href="structiPcZoneManager.html#a80b4c297ec14ad447c9c19d3159f7608">iPcZoneManager</a>
</li>
<li>CS_DEPRECATED_METHOD_MSG()
: <a class="el" href="structiPcAnalogMotion.html#aba78421406b6f6018949a4a0e1be7d81">iPcAnalogMotion</a>
</li>
<li>Current()
: <a class="el" href="structiCelHPath.html#addcc2a1187b2d456b0f2afc00f4aaa67">iCelHPath</a>
, <a class="el" href="structiCelNavMeshPath.html#abd62b0b4006329d511951c1a60b47d56">iCelNavMeshPath</a>
, <a class="el" href="structiCelPath.html#ae5d69913f30326128d30006d995fef9c">iCelPath</a>
</li>
<li>current_num_players
: <a class="el" href="classcelGameInfo.html#a393d01f31c1ee418a584806e8fa876e5">celGameInfo</a>
</li>
<li>CurrentPosition()
: <a class="el" href="structiCelPath.html#a51550b4b483f5aaa9018c88cb2c333e9">iCelPath</a>
</li>
<li>CurrentSector()
: <a class="el" href="structiCelPath.html#ab24cd660d9f7e27d246f36ddb633e16b">iCelPath</a>
</li>
<li>custom_data
: <a class="el" href="classcelGameInfo.html#aee7a69dde9cf6d01aa75fa1cf9428372">celGameInfo</a>
</li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
